Loading...
Searching...
No Matches
XrdSysError.cc File Reference
`#include <cctype>`
`#include <unistd.h>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <cstring>`
`#include <strings.h>`
`#include <sys/types.h>`
`#include <sys/uio.h>`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
Include dependency graph for XrdSysError.cc:

Go to the source code of this file.

## Macros

#define | Set_IOV_Buff(x)
#define | Set_IOV_Item(x, y)

## Macro Definition Documentation

## Set_IOV_Buff

#define Set_IOV_Buff | ( |  | x | ) |

Value:
{iov[iovpnt].iov_base = (caddr_t)x;\
iov[iovpnt++].iov_len = strlen(x);}
iov
Definition XrdOucIOVec.hh:65

Definition at line 60 of file XrdSysError.cc.

#define Set_IOV_Buff(x) {iov[iovpnt].iov_base = (caddr_t)x;\
iov[iovpnt++].iov_len = strlen(x);}

Referenced by XrdSysError::Emsg(), XrdSysError::Emsg(), and XrdSysError::Say().

## Set_IOV_Item

#define Set_IOV_Item | ( |  | x,
|  |  | y )

Value:
{iov[iovpnt].iov_base = (caddr_t)x;\
iov[iovpnt++].iov_len = y;}

Definition at line 57 of file XrdSysError.cc.

#define Set_IOV_Item(x, y) {iov[iovpnt].iov_base = (caddr_t)x;\
iov[iovpnt++].iov_len = y;}

Referenced by XrdSysError::Emsg(), XrdSysError::Emsg(), and XrdSysError::Say().